import { html as n } from "lit";
import { property as c } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var g = Object.defineProperty, m = Object.getOwnPropertyDescriptor, i = (a, t, o, r) => {
  for (var e = r > 1 ? void 0 : r ? m(t, o) : t, s = a.length - 1, p; s >= 0; s--)
    (p = a[s]) && (e = (r ? p(t, o, e) : p(e)) || e);
  return r && e && g(t, o, e), e;
};
let l = class extends h {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--lawLarge", this.class = "c-pieIcon c-pieIcon--lawLarge", this.name = "IconLawLarge";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--lawLarge"><path fill-rule="evenodd" d="m19.21 19.255-1.233-1.234v-.009l.849-.848-1.908-1.908L6.103 26.071 4.87 24.837l10.806-10.814-1.881-1.882-.85.849-1.233-1.234 6.921-6.921 1.234 1.234-.849.848 5.032 5.032.848-.849 1.234 1.234zM17.786 8.16l-2.757 2.756 5.032 5.023 2.747-2.748z" clip-rule="evenodd"></path><path d="m26.08 23.14-.473-1.741h-8.505l-.472 1.741z"></path><path d="M26.692 25.476H16.01l-.464 1.75h11.62z"></path></svg>`;
  }
};
i([
  c({ type: String, reflect: !0 })
], l.prototype, "size", 2);
i([
  c({ type: String, reflect: !0 })
], l.prototype, "class", 2);
l = i([
  f("icon-law-large")
], l);
export {
  l as IconLawLarge
};
